<?php


namespace Management\Util;

class Query { 
    
    const GET_OBJETIVO_VENDA_DIA_ALT = "
        SELECT COALESCE(VRTICKETDIAALT, 0) AS VRTICKETDIAALT, COALESCE(VROBJREALDIAALT, 0) AS VROBJREALDIAALT
        FROM OBJVENDADIAALT
        WHERE CDFILIAL      = :CDFILIAL     AND
              NRORG         = :NRORG        AND
              CDOBJANO      = :CDOBJANO     AND
              NRDIASEMANA   = :NRDIASEMANA  AND
              DTALT         = :DTALT        AND
              CDOBJMES      = :CDOBJMES
    ";
    
    
    const GET_OBJETIVO_VENDA_DIA ="
        SELECT  COALESCE(VRTICKETDIA, 0) AS VRTICKETDIA, COALESCE(VROBJREALDIA, 0) AS VROBJREALDIA
        FROM OBJVENDADIA
        WHERE CDFILIAL      = :CDFILIAL     AND
              NRORG         = :NRORG        AND
              CDOBJANO      = :CDOBJANO     AND
              CDOBJDIA      = :CDOBJDIA     AND
              CDOBJMES      = :CDOBJMES
    ";
    
    const GET_OBJETIVO_VENDA_MES = "
        SELECT COALESCE(VROBJREALMES, 0) AS VROBJREALMES, COALESCE(VRTICKETMES, 0) AS VRTICKETMES
        FROM OBJVENDAMES
        WHERE CDFILIAL      = :CDFILIAL     AND
              NRORG         = :NRORG        AND
              CDOBJANO      = :CDOBJANO     AND
              CDOBJMES      = :CDOBJMES
    ";
    
      
      
      const GET_VENDAS_MENSAIS = "
        SELECT NVL(SUM(TRUNC(I.QTPRODVEND * (I.VRUNITVEND + NVL(I.VRUNITVENDCL,0)),2) - NVL(I.VRDESITVEND,0) + NVL(I.VRACRITVEND,0)),0) AS TOTALDIA, COUNT(V.NRSEQVENDA) AS QT
        FROM ITEMVENDA I
            JOIN VENDA V ON I.CDFILIAL = V.CDFILIAL
                        AND I.CDCAIXA = V.CDCAIXA 
                        AND I.NRSEQVENDA = V.NRSEQVENDA
        WHERE I.CDFILIAL = :CDFILIAL AND
              I.NRORG    = :NRORG
        AND V.DTENTRVENDA BETWEEN trunc(SYSDATE, 'mm') AND SYSDATE";
    
    const GET_VENDAS_DIARIAS_CANCELADAS = "
         SELECT COUNT(V.NRSEQVENDA) AS QTC
         FROM VENDA V, (SELECT DISTINCT C.CDCAIXA, C.CDLOJA, LF.CDFILIAL, LF.NRORG
                          FROM CAIXA C, (SELECT L.CDLOJA, F.CDFILIAL, F.NRORG
                                           FROM LOJA L, (SELECT DISTINCT CDFILIAL, NRORG
                                                           FROM FILIAL
                                                          WHERE CDFILIAL = :CDFILIAL
                                                            AND NRORG = :NRORG) F
                                          WHERE L.CDFILIAL = F.CDFILIAL
                                            AND L.NRORG    = F.NRORG) LF
                         WHERE C.CDFILIAL = LF.CDFILIAL
                           AND C.CDLOJA   = LF.CDLOJA
                           AND C.NRORG    = LF.NRORG) FLC
        WHERE V.DTENTRVENDA = TO_DATE(:DTENTRVENDA, 'DD/MM/YYYY')
          AND V.CDFILIAL  =  FLC.CDFILIAL
          AND V.CDCAIXA = FLC.CDCAIXA
          AND V.CDLOJA = FLC.CDLOJA
          AND V.NRORG  = FLC.NRORG
          AND V.IDSITUVENDA = 'C'
    ";
    
    const GET_VENDAS_DIARIAS_CONCLUIDAS = "
         SELECT COUNT(V.NRSEQVENDA) AS QTO
         FROM VENDA V, (SELECT DISTINCT C.CDCAIXA, C.CDLOJA, LF.CDFILIAL, LF.NRORG
                          FROM CAIXA C, (SELECT L.CDLOJA, F.CDFILIAL, F.NRORG
                                           FROM LOJA L, (SELECT DISTINCT CDFILIAL, NRORG
                                                           FROM FILIAL
                                                          WHERE CDFILIAL = :CDFILIAL
                                                            AND NRORG = :NRORG) F
                                          WHERE L.CDFILIAL = F.CDFILIAL
                                            AND L.NRORG    = F.NRORG) LF
                         WHERE C.CDFILIAL = LF.CDFILIAL
                           AND C.CDLOJA   = LF.CDLOJA
                           AND C.NRORG    = LF.NRORG) FLC
        WHERE V.DTENTRVENDA = TO_DATE(:DTENTRVENDA, 'DD/MM/YYYY')
          AND V.CDFILIAL  =  FLC.CDFILIAL
          AND V.CDCAIXA = FLC.CDCAIXA
          AND V.CDLOJA = FLC.CDLOJA
          AND V.NRORG  = FLC.NRORG
          AND V.IDSITUVENDA = 'O'
    ";
    
    const GET_PRODUTOS_MAIS_VENDIDOS = "
    SELECT TAB.NMPRODUTO, TAB.QTD_VENDIDA
        FROM (SELECT P.NMPRODUTO,COUNT(*) as QTD_VENDIDA
                FROM ITEMVENDA I
                JOIN VENDA V
                  ON I.CDFILIAL     = V.CDFILIAL
                 AND I.CDCAIXA      = V.CDCAIXA
                 AND I.NRORG        = V.NRORG
                 AND I.NRSEQVENDA   = V.NRSEQVENDA
                JOIN PRODUTO P
                  ON I.CDPRODUTO     = P.CDPRODUTO
                 AND I.NRORG         = P.NRORG
               WHERE V.DTENTRVENDA   = :DTENTRVENDA
                 AND I.CDFILIAL      = :CDFILIAL
                 AND I.NRORG         = :NRORG
               GROUP BY I.CDPRODUTO, P.NMPRODUTO
               ORDER BY 2 DESC) TAB
        WHERE ROWNUM <= 5
    ";
    
    const COUNT_DIVERGENCIAS_CONCILIACO = "
    SELECT COUNT(*) COUNT
      FROM LOGERROCTBCNC
     WHERE NRORG = :NRORG
    ";
    
    const GET_FILIAIS_OPERADOR = "
        SELECT FO.CDFILIAL, F.NMFILIAL
          FROM FILIAL F
          JOIN FILIOPER FO
            ON F.CDFILIAL       = FO.CDFILIAL
         WHERE FO.CDOPERADOR = :CDOPERADOR
          AND F.NRORG         = :NRORG
         ORDER BY FO.CDFILIAL ASC, F.NMFILIAL ASC
    ";
    
    
    const GET_FECHAMENTO_CUPOM_PENDENTE = "
       SELECT COUNT(*) AS COUNT FROM
         (SELECT RZ.CDFILIAL||' - '||FILIOPERLOJACAIXTUR.NMFILIAL||' Loja: '||FILIOPERLOJACAIXTUR.CDLOJA||' - '||FILIOPERLOJACAIXTUR.NMLOJA AS LABELFILIAL,
                 RZ.CDCAIXA||' - '||FILIOPERLOJACAIXTUR.NMCAIXA AS LABELCAIXA,
                 CASE RZ.IDSTATUS
                        WHEN 'P' THEN 'Pendente'
                        WHEN 'E' THEN 'Com Erro'
                        WHEN 'A' THEN 'Aprovada'
                        ELSE RZ.IDSTATUS
                     END AS IDSTATUS, RZ.CDFILIAL, RZ.CDCAIXA, 
                     RZ.IDORIGEMREDZ, RZ.NRORG, RZ.DTREDUCAOZ AS DTREDUCAOZ
              FROM REDUCAOZ RZ
              JOIN (SELECT FILIOPERLOJACAIX.CDCAIXA, FILIOPERLOJACAIX.NMCAIXA, FILIOPERLOJACAIX.CDFILIAL, FILIOPERLOJACAIX.NMFILIAL, FILIOPERLOJACAIX.CDLOJA, FILIOPERLOJACAIX.NMLOJA, FILIOPERLOJACAIX.NRORG, T.DTFECHCAIX, T.DTMOVTURCAIX
                    FROM TURCAIXA T
                    JOIN (SELECT C.CDCAIXA, C.NMCAIXA, FILIOPERLOJA.CDFILIAL, FILIOPERLOJA.NMFILIAL, FILIOPERLOJA.CDLOJA, FILIOPERLOJA.NMLOJA, FILIOPERLOJA.NRORG
                            FROM CAIXA C
                            JOIN (SELECT L.CDLOJA, L.NMLOJA, FILIOPER.CDFILIAL, FILIOPER.NMFILIAL, FILIOPER.NRORG
                                    FROM LOJA L
                                    JOIN (SELECT FO.CDFILIAL, F.NMFILIAL, FO.NRORG
                                            FROM FILIAL F
                                            JOIN (SELECT FO.CDFILIAL, FO.NRORG
                                                    FROM FILIOPER FO
                                                   WHERE FO.CDOPERADOR = :CDOPERADOR
                                                     AND FO.NRORG = :NRORG
                                                 ) FO
                                              ON F.CDFILIAL = FO.CDFILIAL
                                             AND F.NRORG = FO.NRORG
                                         )FILIOPER
                                      ON FILIOPER.CDFILIAL = L.CDFILIAL
                                     AND FILIOPER.NRORG = L.NRORG
                                 )FILIOPERLOJA
                              ON FILIOPERLOJA.CDFILIAL = C.CDFILIAL
                             AND FILIOPERLOJA.CDLOJA = C.CDLOJA
                             AND FILIOPERLOJA.NRORG = C.NRORG 
                         )FILIOPERLOJACAIX
                      ON FILIOPERLOJACAIX.CDCAIXA = T.CDCAIXA
                     AND FILIOPERLOJACAIX.CDFILIAL = T.CDFILIAL
                     AND FILIOPERLOJACAIX.NRORG = T.NRORG
                   WHERE T.DTFECHCAIX IS NOT NULL
                     )FILIOPERLOJACAIXTUR
                ON RZ.CDFILIAL = FILIOPERLOJACAIXTUR.CDFILIAL
               AND RZ.CDCAIXA = FILIOPERLOJACAIXTUR.CDCAIXA
               AND RZ.NRORG   = FILIOPERLOJACAIXTUR.NRORG
               AND RZ.DTREDUCAOZ  = FILIOPERLOJACAIXTUR.DTMOVTURCAIX
               WHERE (TRUNC(RZ.DTREDUCAOZ) BETWEEN NVL(:DTINI, SYSDATE-30) AND NVL(:DTFIN, SYSDATE))
                 AND ( INSTR('P_E', RZ.IDSTATUS) > 0 ) 
                 AND VRVENBRUREDZ <> 0
                 AND VRVENLIQREDZ <> 0
        
              UNION ALL
        
              SELECT DISTINCT V.CDFILIAL||' - '||FILIOPERLOJACAIXTUR.NMFILIAL||' Loja: '||FILIOPERLOJACAIXTUR.CDLOJA||' - '||FILIOPERLOJACAIXTUR.NMLOJA AS LABELFILIAL,
                 V.CDCAIXA||' - '||FILIOPERLOJACAIXTUR.NMCAIXA AS LABELCAIXA,
                 CASE V.IDAPROVACAONFCE
                       WHEN 'P' THEN 'Pendente'
                       WHEN 'E' THEN 'Com Erro'
                       WHEN 'A' THEN 'Aprovada'
                       ELSE V.IDAPROVACAONFCE
                     END AS IDSTATUS, V.CDFILIAL, V.CDCAIXA, 
                     DECODE(V.IDTPEMISVEND,'N','NFCE','S','SAT') AS IDORIGEMREDZ, V.NRORG, 
                     V.DTENTRVENDA AS DTREDUCAOZ
                FROM VENDA V
                JOIN (SELECT FILIOPERLOJACAIX.CDCAIXA, FILIOPERLOJACAIX.NMCAIXA, FILIOPERLOJACAIX.CDFILIAL, FILIOPERLOJACAIX.NMFILIAL, FILIOPERLOJACAIX.CDLOJA, FILIOPERLOJACAIX.NMLOJA, FILIOPERLOJACAIX.NRORG, T.DTFECHCAIX, T.DTMOVTURCAIX
                      FROM TURCAIXA T
                        JOIN (SELECT C.CDCAIXA, C.NMCAIXA, FILIOPERLOJA.CDFILIAL, FILIOPERLOJA.NMFILIAL, FILIOPERLOJA.CDLOJA, FILIOPERLOJA.NMLOJA, FILIOPERLOJA.NRORG
                                FROM CAIXA C
                                JOIN (SELECT L.CDLOJA, L.NMLOJA, FILIOPER.CDFILIAL, FILIOPER.NMFILIAL, FILIOPER.NRORG
                                        FROM LOJA L
                                        JOIN (SELECT FO.CDFILIAL, F.NMFILIAL, FO.NRORG
                                                FROM FILIAL F
                                                JOIN (SELECT FO.CDFILIAL, FO.NRORG
                                                        FROM FILIOPER FO
                                                       WHERE FO.CDOPERADOR = :CDOPERADOR
                                                         AND FO.NRORG = :NRORG
                                                     ) FO
                                                  ON F.CDFILIAL = FO.CDFILIAL
                                                 AND F.NRORG = FO.NRORG
                                             )FILIOPER
                                          ON FILIOPER.CDFILIAL = L.CDFILIAL
                                         AND FILIOPER.NRORG = L.NRORG
                                     )FILIOPERLOJA
                                  ON FILIOPERLOJA.CDFILIAL = C.CDFILIAL
                                 AND FILIOPERLOJA.CDLOJA = C.CDLOJA
                                 AND FILIOPERLOJA.NRORG = C.NRORG 
                             )FILIOPERLOJACAIX
                          ON FILIOPERLOJACAIX.CDCAIXA = T.CDCAIXA
                         AND FILIOPERLOJACAIX.CDFILIAL = T.CDFILIAL
                         AND FILIOPERLOJACAIX.NRORG = T.NRORG
                         AND T.DTFECHCAIX IS NOT NULL
                     )FILIOPERLOJACAIXTUR
                  ON FILIOPERLOJACAIXTUR.CDFILIAL = V.CDFILIAL
                 AND FILIOPERLOJACAIXTUR.CDLOJA = V.CDLOJA
                 AND FILIOPERLOJACAIXTUR.CDCAIXA = V.CDCAIXA
                 AND FILIOPERLOJACAIXTUR.NRORG = V.NRORG
                 AND FILIOPERLOJACAIXTUR.DTMOVTURCAIX = V.DTENTRVENDA
               WHERE V.IDTPEMISVEND IN ('N','S')
                 AND ( TRUNC(V.DTENTRVENDA) BETWEEN NVL(:DTINI, SYSDATE-30) AND NVL(:DTFIN, SYSDATE))
                 AND ( INSTR('P_E', V.IDAPROVACAONFCE) > 0 )
                 AND V.IDTPAMBNFCE  = '1'
                 AND V.IDSTATUSNFCE = 'A')
    ";
    
    const GET_FECHAMENTO_CAIXA_PENDENTE = "
        SELECT COUNT(DTMOVTURCAIX) AS COUNT
          FROM TURCAIXA T
          JOIN FILIOPER F
            ON T.CDFILIAL = F.CDFILIAL
           AND T.NRORG = F.NRORG
         WHERE F.CDOPERADOR = :CDOPERADOR
           AND T.NRORG = :NRORG
           AND T.DTFECHCAIX IS NULL  
           AND (T.DTMOVTURCAIX BETWEEN NVL(:DTINI, SYSDATE-30) AND NVL(:DTFIN, SYSDATE-1))
    ";
    
    const GET_CONSOLIDACAO_VENDA_PENDENTE = "
      SELECT COUNT(TOT.NRNOTAFISCALCE) AS COUNT
		  FROM (SELECT DISTINCT V.CDFILIAL, FILIOPERLOJACAIX.NMFILIAL, V.CDLOJA, FILIOPERLOJACAIX.NMLOJA, V.CDCAIXA, FILIOPERLOJACAIX.NMCAIXA, 
             		   NVL(V.NRCUPOMFIS, V.NRNOTAFISCALCE) AS NRNOTAFISCALCE
		  		  FROM VENDA V
		  		  JOIN (SELECT C.CDCAIXA, C.NMCAIXA, FILIOPERLOJA.CDFILIAL, FILIOPERLOJA.NMFILIAL, FILIOPERLOJA.CDLOJA, FILIOPERLOJA.NMLOJA, FILIOPERLOJA.NRORG
				   		  FROM CAIXA C
				  		  JOIN (SELECT L.CDLOJA, L.NMLOJA, FILIOPER.CDFILIAL, FILIOPER.NMFILIAL, FILIOPER.NRORG
				  		  		  FROM LOJA L
						  		  JOIN (SELECT FO.CDFILIAL, F.NMFILIAL, FO.NRORG
						          		  FROM FILIAL F
								  		  JOIN (SELECT FO.CDFILIAL, FO.NRORG
						            	     	  FROM FILIOPER FO
						            	    	 WHERE FO.CDOPERADOR = :CDOPERADOR
						              	  		   AND FO.NRORG = :NRORG
						               		   ) FO
						            		ON F.CDFILIAL = FO.CDFILIAL
						           		   AND F.NRORG = FO.NRORG
						        	   )FILIOPER
						     		ON FILIOPER.CDFILIAL = L.CDFILIAL
						    	   AND FILIOPER.NRORG = L.NRORG
					   		   )FILIOPERLOJA
				    		ON FILIOPERLOJA.CDFILIAL = C.CDFILIAL
				   		   AND FILIOPERLOJA.CDLOJA = C.CDLOJA
				   		   AND FILIOPERLOJA.NRORG = C.NRORG 
			   		   )FILIOPERLOJACAIX
					ON FILIOPERLOJACAIX.CDFILIAL = V.CDFILIAL
		   		   AND FILIOPERLOJACAIX.CDCAIXA = V.CDCAIXA
		   		   AND FILIOPERLOJACAIX.CDLOJA = V.CDLOJA
		   		   AND FILIOPERLOJACAIX.NRORG = V.NRORG
		  		  JOIN ITEMVENDA I
					ON V.CDFILIAL = I.CDFILIAL
		   		   AND V.CDCAIXA = I.CDCAIXA
		   		   AND V.NRSEQVENDA = I.NRSEQVENDA
		   		   AND V.NRORG = I.NRORG
		 		 WHERE V.NRORG = :NRORG
		   		   AND V.DTENTRVENDA BETWEEN NVL(:DTINI,SYSDATE-30) AND NVL(:DTFIN,SYSDATE)
		   		   AND V.IDSITUVENDA IN ('O','D')
		   		   AND I.CDFILIALEST IS NULL
		   		   AND I.NRLANCESTQ IS NULL
		   	   ) TOT
	";
	
    const GR_GET_FECHAMENTO_CUPOM_PENDENTE = "
        SELECT COUNT(*) AS COUNT FROM
         (SELECT RZ.CDFILIAL||' - '||FILIOPERLOJACAIXTUR.NMFILIAL||' Loja: '||FILIOPERLOJACAIXTUR.CDLOJA||' - '||FILIOPERLOJACAIXTUR.NMLOJA AS LABELFILIAL,
                 RZ.CDCAIXA||' - '||FILIOPERLOJACAIXTUR.NMCAIXA AS LABELCAIXA,
                 CASE RZ.IDSTATUS
                        WHEN 'P' THEN 'Pendente'
                        WHEN 'E' THEN 'Com Erro'
                        WHEN 'A' THEN 'Aprovada'
                        ELSE RZ.IDSTATUS
                     END AS IDSTATUS, RZ.CDFILIAL, RZ.CDCAIXA, 
                     RZ.IDORIGEMREDZ, RZ.NRORG, RZ.DTREDUCAOZ AS DTREDUCAOZ
              FROM REDUCAOZ RZ
              JOIN (SELECT FILIOPERLOJACAIX.CDCAIXA, FILIOPERLOJACAIX.NMCAIXA, FILIOPERLOJACAIX.CDFILIAL, FILIOPERLOJACAIX.NMFILIAL, FILIOPERLOJACAIX.CDLOJA, FILIOPERLOJACAIX.NMLOJA, FILIOPERLOJACAIX.NRORG, T.DTFECHCAIX, T.DTMOVTURCAIX
                    FROM TURCAIXA T
                    JOIN (SELECT C.CDCAIXA, C.NMCAIXA, FILIOPERLOJA.CDFILIAL, FILIOPERLOJA.NMFILIAL, FILIOPERLOJA.CDLOJA, FILIOPERLOJA.NMLOJA, FILIOPERLOJA.NRORG
                            FROM CAIXA C
                            JOIN (SELECT L.CDLOJA, L.NMLOJA, FILIOPER.CDFILIAL, FILIOPER.NMFILIAL, FILIOPER.NRORG
                                    FROM LOJA L
                                    JOIN (SELECT FO.CDFILIAL, F.NMFILIAL, FO.NRORG
                                            FROM FILIAL F
                                            JOIN (SELECT FO.CDFILIAL, FO.NRORG
                                                    FROM FILIOPER FO
                                                   WHERE FO.CDOPERADOR = :CDOPERADOR
                                                     AND FO.CDFILIAL = :CDFILIAL
                                                     AND FO.NRORG = :NRORG
                                                 ) FO
                                              ON F.CDFILIAL = FO.CDFILIAL
                                             AND F.NRORG = FO.NRORG
                                         )FILIOPER
                                      ON FILIOPER.CDFILIAL = L.CDFILIAL
                                     AND FILIOPER.NRORG = L.NRORG
                                 )FILIOPERLOJA
                              ON FILIOPERLOJA.CDFILIAL = C.CDFILIAL
                             AND FILIOPERLOJA.CDLOJA = C.CDLOJA
                             AND FILIOPERLOJA.NRORG = C.NRORG 
                         )FILIOPERLOJACAIX
                      ON FILIOPERLOJACAIX.CDCAIXA = T.CDCAIXA
                     AND FILIOPERLOJACAIX.CDFILIAL = T.CDFILIAL
                     AND FILIOPERLOJACAIX.NRORG = T.NRORG
                   WHERE T.DTFECHCAIX IS NOT NULL
                     )FILIOPERLOJACAIXTUR
                ON RZ.CDFILIAL = FILIOPERLOJACAIXTUR.CDFILIAL
               AND RZ.CDCAIXA = FILIOPERLOJACAIXTUR.CDCAIXA
               AND RZ.NRORG   = FILIOPERLOJACAIXTUR.NRORG
               AND RZ.DTREDUCAOZ  = FILIOPERLOJACAIXTUR.DTMOVTURCAIX
               WHERE (TRUNC(RZ.DTREDUCAOZ) BETWEEN NVL(:DTINI, SYSDATE-30) AND NVL(:DTFIN, SYSDATE))
                 AND ( INSTR('P_E', RZ.IDSTATUS) > 0 ) 
                 AND VRVENBRUREDZ <> 0
                 AND VRVENLIQREDZ <> 0
        
              UNION ALL
        
              SELECT DISTINCT V.CDFILIAL||' - '||FILIOPERLOJACAIXTUR.NMFILIAL||' Loja: '||FILIOPERLOJACAIXTUR.CDLOJA||' - '||FILIOPERLOJACAIXTUR.NMLOJA AS LABELFILIAL,
                 V.CDCAIXA||' - '||FILIOPERLOJACAIXTUR.NMCAIXA AS LABELCAIXA,
                 CASE V.IDAPROVACAONFCE
                       WHEN 'P' THEN 'Pendente'
                       WHEN 'E' THEN 'Com Erro'
                       WHEN 'A' THEN 'Aprovada'
                       ELSE V.IDAPROVACAONFCE
                     END AS IDSTATUS, V.CDFILIAL, V.CDCAIXA, 
                     DECODE(V.IDTPEMISVEND,'N','NFCE','S','SAT') AS IDORIGEMREDZ, V.NRORG, 
                     V.DTENTRVENDA AS DTREDUCAOZ
                FROM VENDA V
                JOIN (SELECT FILIOPERLOJACAIX.CDCAIXA, FILIOPERLOJACAIX.NMCAIXA, FILIOPERLOJACAIX.CDFILIAL, FILIOPERLOJACAIX.NMFILIAL, FILIOPERLOJACAIX.CDLOJA, FILIOPERLOJACAIX.NMLOJA, FILIOPERLOJACAIX.NRORG, T.DTFECHCAIX, T.DTMOVTURCAIX
                      FROM TURCAIXA T
                        JOIN (SELECT C.CDCAIXA, C.NMCAIXA, FILIOPERLOJA.CDFILIAL, FILIOPERLOJA.NMFILIAL, FILIOPERLOJA.CDLOJA, FILIOPERLOJA.NMLOJA, FILIOPERLOJA.NRORG
                                FROM CAIXA C
                                JOIN (SELECT L.CDLOJA, L.NMLOJA, FILIOPER.CDFILIAL, FILIOPER.NMFILIAL, FILIOPER.NRORG
                                        FROM LOJA L
                                        JOIN (SELECT FO.CDFILIAL, F.NMFILIAL, FO.NRORG
                                                FROM FILIAL F
                                                JOIN (SELECT FO.CDFILIAL, FO.NRORG
                                                        FROM FILIOPER FO
                                                       WHERE FO.CDOPERADOR = :CDOPERADOR
                                                         AND FO.CDFILIAL = :CDFILIAL
                                                         AND FO.NRORG = :NRORG
                                                     ) FO
                                                  ON F.CDFILIAL = FO.CDFILIAL
                                                 AND F.NRORG = FO.NRORG
                                             )FILIOPER
                                          ON FILIOPER.CDFILIAL = L.CDFILIAL
                                         AND FILIOPER.NRORG = L.NRORG
                                     )FILIOPERLOJA
                                  ON FILIOPERLOJA.CDFILIAL = C.CDFILIAL
                                 AND FILIOPERLOJA.CDLOJA = C.CDLOJA
                                 AND FILIOPERLOJA.NRORG = C.NRORG 
                             )FILIOPERLOJACAIX
                          ON FILIOPERLOJACAIX.CDCAIXA = T.CDCAIXA
                         AND FILIOPERLOJACAIX.CDFILIAL = T.CDFILIAL
                         AND FILIOPERLOJACAIX.NRORG = T.NRORG
                         AND T.DTFECHCAIX IS NOT NULL
                     )FILIOPERLOJACAIXTUR
                  ON FILIOPERLOJACAIXTUR.CDFILIAL = V.CDFILIAL
                 AND FILIOPERLOJACAIXTUR.CDLOJA = V.CDLOJA
                 AND FILIOPERLOJACAIXTUR.CDCAIXA = V.CDCAIXA
                 AND FILIOPERLOJACAIXTUR.NRORG = V.NRORG
                 AND FILIOPERLOJACAIXTUR.DTMOVTURCAIX = V.DTENTRVENDA
               WHERE V.IDTPEMISVEND IN ('N','S')
                 AND ( TRUNC(V.DTENTRVENDA) BETWEEN NVL(:DTINI, SYSDATE-30) AND NVL(:DTFIN, SYSDATE))
                 AND ( INSTR('P_E', V.IDAPROVACAONFCE) > 0 )
                 AND V.IDTPAMBNFCE  = '1'
                 AND V.IDSTATUSNFCE = 'A')
        ";
    
    const GR_GET_FECHAMENTO_CAIXA_PENDENTE = "        
        SELECT COUNT(DTMOVTURCAIX) AS COUNT
          FROM TURCAIXA T
          JOIN FILIOPER F
            ON T.CDFILIAL = F.CDFILIAL
           AND T.NRORG = F.NRORG
         WHERE F.CDOPERADOR = :CDOPERADOR
           AND T.NRORG = :NRORG
           AND F.CDFILIAL = :CDFILIAL
           AND T.DTFECHCAIX IS NULL  
           AND (T.DTMOVTURCAIX BETWEEN NVL(:DTINI, SYSDATE-30) AND NVL(:DTFIN, SYSDATE-1))
    ";    
        
    const GR_GET_CONSOLIDACAO_VENDA_PENDENTE = "
        SELECT COUNT(TOT.NRNOTAFISCALCE) AS COUNT
		  FROM (SELECT DISTINCT V.CDFILIAL, FILIOPERLOJACAIX.NMFILIAL, V.CDLOJA, FILIOPERLOJACAIX.NMLOJA, V.CDCAIXA, FILIOPERLOJACAIX.NMCAIXA, 
             		   NVL(V.NRCUPOMFIS, V.NRNOTAFISCALCE) AS NRNOTAFISCALCE
		  		  FROM VENDA V
		  		  JOIN (SELECT C.CDCAIXA, C.NMCAIXA, FILIOPERLOJA.CDFILIAL, FILIOPERLOJA.NMFILIAL, FILIOPERLOJA.CDLOJA, FILIOPERLOJA.NMLOJA, FILIOPERLOJA.NRORG
				   		  FROM CAIXA C
				  		  JOIN (SELECT L.CDLOJA, L.NMLOJA, FILIOPER.CDFILIAL, FILIOPER.NMFILIAL, FILIOPER.NRORG
				  		  		  FROM LOJA L
						  		  JOIN (SELECT FO.CDFILIAL, F.NMFILIAL, FO.NRORG
						          		  FROM FILIAL F
								  		  JOIN (SELECT FO.CDFILIAL, FO.NRORG
						            	     	  FROM FILIOPER FO
						            	    	 WHERE FO.CDOPERADOR = :CDOPERADOR
                                                   AND FO.CDFILIAL = :CDFILIAL
						              	  		   AND FO.NRORG = :NRORG
						               		   ) FO
						            		ON F.CDFILIAL = FO.CDFILIAL
						           		   AND F.NRORG = FO.NRORG
						        	   )FILIOPER
						     		ON FILIOPER.CDFILIAL = L.CDFILIAL
						    	   AND FILIOPER.NRORG = L.NRORG
					   		   )FILIOPERLOJA
				    		ON FILIOPERLOJA.CDFILIAL = C.CDFILIAL
				   		   AND FILIOPERLOJA.CDLOJA = C.CDLOJA
				   		   AND FILIOPERLOJA.NRORG = C.NRORG 
			   		   )FILIOPERLOJACAIX
					ON FILIOPERLOJACAIX.CDFILIAL = V.CDFILIAL
		   		   AND FILIOPERLOJACAIX.CDCAIXA = V.CDCAIXA
		   		   AND FILIOPERLOJACAIX.CDLOJA = V.CDLOJA
		   		   AND FILIOPERLOJACAIX.NRORG = V.NRORG
		  		  JOIN ITEMVENDA I
					ON V.CDFILIAL = I.CDFILIAL
		   		   AND V.CDCAIXA = I.CDCAIXA
		   		   AND V.NRSEQVENDA = I.NRSEQVENDA
		   		   AND V.NRORG = I.NRORG
		 		 WHERE V.NRORG = :NRORG
		   		   AND V.DTENTRVENDA BETWEEN NVL(:DTINI,SYSDATE-30) AND NVL(:DTFIN,SYSDATE)
		   		   AND V.IDSITUVENDA IN ('O','D')
		   		   AND I.CDFILIALEST IS NULL
		   		   AND I.NRLANCESTQ IS NULL
		   	   ) TOT
    ";
}